# ============================================================================
# wrangler.toml — CityZeen Secondary Market Worker v18
# Worker: worker-v18js
# Account: Assets CityZeen (8dd3c8ec935b6d37a78d1fee4e4b203e)
# ============================================================================

name = "worker-v18js"
main = "worker_v18.js"
compatibility_date = "2024-01-01"
workers_dev = true

# ── D1 Databases ────────────────────────────────────────────────────────────

# Portal database (investors, providers, token_ledger, asset_supply)
[[d1_databases]]
binding = "D1_DATABASE"
database_name = "cityzeen-db"
database_id = "4e0e5544-1a33-4228-a499-c7d779ec98f1"

# Pricing engine v5 (submissions, admin_users, market_data, investor_profiles)
[[d1_databases]]
binding = "DB"
database_name = "cityzeen-submissions"
database_id = "1cd13ed5-cc23-4e66-839b-28b3bd74e279"

# ── Secrets (set via: wrangler secret put SECRET_NAME) ──────────────────────
# ANTHROPIC_API_KEY     — Claude AI (portal AI chat + pricing analysis)
# COHERE_API_KEY        — Cohere Embed/Rerank (AI matching + embeddings)
# SUMSUB_SECRET_KEY     — KYC/KYB identity verification
# POWENS_CLIENT_ID      — Open Banking (bank connections)
# POWENS_CLIENT_SECRET  — Open Banking
# CIRCLE_KEY_ASSETS     — USDC payments (asset side)
# CIRCLE_KEY_INVESTORS  — USDC payments (investor side)
# ALCHEMY_API_KEY       — Blockchain balance/token queries
# COINBASE_PRIME_KEY    — Institutional custody
# COINBASE_PRIME_SECRET — Institutional custody
# COINBASE_PRIME_PASSPHRASE — Institutional custody
# COINBASE_PRIME_PORTFOLIO  — Institutional custody
# AMPLITUDE_API_KEY     — Analytics
